Debian Bug report logs - #556487
FTBFS with binutils-gold

version graph

Package: src:telepathy-haze; Maintainer for src:telepathy-haze is Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Mon, 16 Nov 2009 13:42:43 UTC

Severity: minor

Tags: fixed-upstream

Found in version telepathy-haze/0.3.2-1

Fixed in version telepathy-haze/0.3.4-1

Done: Jonny Lamb <jonny@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=25124

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#556487; Package src:telepathy-haze. (Mon, 16 Nov 2009 13:42:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Mon, 16 Nov 2009 13:42:45 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Mon, 16 Nov 2009 11:15:15 +0100
Source: telepathy-haze
Version: 0.3.2-1
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

/bin/bash ../libtool --tag=CC --mode=link cc -std=gnu99 -DG_LOG_DOMAIN=\"haze\" -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -g -O2 -g -Wall -O2 -lpurple -lglib-2.0   -ltelepathy-glib   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -o telepathy-haze  main.o debug.o connection-manager.o connection-aliasing.o connection-avatars.o connection-presence.o connection.o contact-list.o contact-list-channel.o im-channel.o im-channel-factory.o notify.o request.o  
libtool: link: cc -std=gnu99 -DG_LOG_DOMAIN=\"haze\" -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -O2 -g -Wall -O2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -o telepathy-haze main.o debug.o connection-manager.o connection-aliasing.o connection-avatars.o connection-presence.o connection.o contact-list.o contact-list-channel.o im-channel.o im-channel-factory.o notify.o request.o  -lpurple /usr/lib/libglib-2.0.so -ltelepathy-glib
/usr/bin/ld: main.o: in function get_cm:main.c:229: error: undefined reference to 'g_object_new'
/usr/bin/ld: connection-manager.o: in function haze_connection_manager_get_type:connection-manager.c:33: error: undefined reference to 'g_type_register_static_simple'
/usr/bin/ld: connection-manager.o: in function haze_connection_manager_class_intern_init:connection-manager.c:35: error: undefined reference to 'g_type_class_peek_parent'
/usr/bin/ld: connection-manager.o: in function _param_filter_no_blanks:connection-manager.c:102: error: undefined reference to 'g_value_get_string'
/usr/bin/ld: connection-manager.o: in function _param_filter_string_list:connection-manager.c:131: error: undefined reference to 'g_value_get_string'
/usr/bin/ld: connection-manager.o: in function _haze_cm_set_param:connection-manager.c:89: error: undefined reference to 'g_value_copy'
/usr/bin/ld: connection-manager.o: in function _haze_connection_manager_new_connection:connection-manager.c:409: error: undefined reference to 'g_type_check_instance_cast'
/usr/bin/ld: connection-manager.o: in function _haze_connection_manager_new_connection:connection-manager.c:418: error: undefined reference to 'g_object_new'
/usr/bin/ld: connection-manager.o: in function _haze_connection_manager_new_connection:connection-manager.c:422: error: undefined reference to 'g_object_unref'
/usr/bin/ld: connection-aliasing.o: in function get_alias:connection-aliasing.c:69: error: undefined reference to 'g_type_check_instance_cast'
/usr/bin/ld: connection-aliasing.o: in function fill_contact_attributes:connection-aliasing.c:342: error: undefined reference to 'g_type_check_instance_cast'
/usr/bin/ld: connection-aliasing.o: in function fill_contact_attributes:connection-aliasing.c:350: error: undefined reference to 'g_value_set_string'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:303: error: undefined reference to 'g_type_check_instance_cast'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:308: error: undefined reference to 'dbus_g_type_get_struct'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:308: error: undefined reference to 'g_value_init'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:309: error: undefined reference to 'dbus_g_type_get_struct'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:309: error: undefined reference to 'dbus_g_type_specialized_construct'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:309: error: undefined reference to 'g_value_take_boxed'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:312: error: undefined reference to 'dbus_g_type_struct_set'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:318: error: undefined reference to 'g_value_get_boxed'
/usr/bin/ld: connection-aliasing.o: in function blist_node_aliased_cb:connection-aliasing.c:323: error: undefined reference to 'g_value_unset'
/usr/bin/ld: connection-aliasing.o: in function haze_connection_set_aliases:connection-aliasing.c:261: error: undefined reference to 'dbus_g_method_return_error'
/usr/bin/ld: connection-aliasing.o: in function haze_connection_set_aliases:connection-aliasing.c:252: error: undefined reference to 'dbus_g_method_return_error'
/usr/bin/ld: connection-aliasing.o: in function haze_connection_set_aliases:/usr/include/telepathy-1.0/telepathy-glib/_gen/tp-svc-connection.h:480: error: undefined reference to 'dbus_g_method_return'
/usr/bin/ld: connection-aliasing.o: in function haze_connection_get_alias_flags:/usr/include/telepathy-1.0/telepathy-glib/_gen/tp-svc-connection.h:411: error: undefined reference to 'dbus_g_method_return'
/usr/bin/ld: connection-aliasing.o: in function haze_connection_get_alias_flags:connection-aliasing.c:53: error: undefined reference to 'dbus_g_method_return_error'
/usr/bin/ld: connection-aliasing.o: in function haze_connection_request_aliases:/usr/include/telepathy-1.0/telepathy-glib/_gen/tp-svc-connection.h:435: error: undefined reference to 'dbus_g_method_return'
/usr/bin/ld: connection-aliasing.o: in function haze_connection_request_aliases:connection-aliasing.c:153: error: undefined reference to 'dbus_g_method_return_error'
/usr/bin/ld: connection-aliasing.o: in function haze_connection_get_aliases:/usr/include/telepathy-1.0/telepathy-glib/_gen/tp-svc-connection.h:459: error: undefined reference to 'dbus_g_method_return'
/usr/bin/ld: connection-avatars.o: in function fill_contact_attributes:connection-avatars.c:485: error: undefined reference to 'g_value_set_string'
/usr/bin/ld: connection-presence.o: in function _get_tp_status:connection-presence.c:102: error: undefined reference to 'g_value_init'
/usr/bin/ld: connection-presence.o: in function _get_tp_status:connection-presence.c:103: error: undefined reference to 'g_value_set_string'
/usr/bin/ld: connection.o: in function _set_option:connection.c:266: error: undefined reference to 'g_value_get_string'
/usr/bin/ld: connection.o: in function _set_option:connection.c:260: error: undefined reference to 'g_value_get_int'
/usr/bin/ld: connection.o: in function _set_option:connection.c:255: error: undefined reference to 'g_value_get_boolean'
/usr/bin/ld: connection.o: in function haze_connection_get_type:connection.c:52: error: undefined reference to 'g_type_register_static_simple'
/usr/bin/ld: connection.o: in function haze_connection_get_type:connection.c:52: error: undefined reference to 'g_type_add_interface_static'
/usr/bin/ld: connection.o: in function haze_connection_get_type:connection.c:52: error: undefined reference to 'g_type_add_interface_static'
/usr/bin/ld: connection.o: in function haze_connection_get_type:connection.c:52: error: undefined reference to 'g_type_add_interface_static'
/usr/bin/ld: connection.o: in function haze_connection_get_type:connection.c:52: error: undefined reference to 'g_type_add_interface_static'
/usr/bin/ld: connection.o: in function haze_connection_class_intern_init:connection.c:67: error: undefined reference to 'g_type_class_peek_parent'
/usr/bin/ld: connection.o: in function haze_connection_class_intern_init:connection.c:549: error: undefined reference to 'g_type_check_class_cast'
/usr/bin/ld: connection.o: in function haze_connection_class_intern_init:connection.c:550: error: undefined reference to 'g_type_check_class_cast'
/usr/bin/ld: connection.o: in function haze_connection_class_intern_init:connection.c:566: error: undefined reference to 'g_type_class_add_private'
/usr/bin/ld: connection.o: in function haze_connection_class_intern_init:connection.c:582: error: undefined reference to 'g_param_spec_pointer'
/usr/bin/ld: connection.o: in function haze_connection_class_intern_init:connection.c:590: error: undefined reference to 'g_object_class_install_property'
/usr/bin/ld: connection.o: in function haze_connection_class_intern_init:connection.c:592: error: undefined reference to 'g_param_spec_pointer'
/usr/bin/ld: connection.o: in function haze_connection_class_intern_init:connection.c:600: error: undefined reference to 'g_object_class_install_property'
/usr/bin/ld: connection.o: in function _haze_connection_create_channel_managers:connection.c:413: error: undefined reference to 'g_object_new'
/usr/bin/ld: connection.o: in function _haze_connection_create_channel_managers:connection.c:417: error: undefined reference to 'g_object_new'
/usr/bin/ld: connection.o: in function haze_connection_finalize:connection.c:543: error: undefined reference to 'g_type_check_class_cast'
/usr/bin/ld: connection.o: in function haze_connection_dispose:connection.c:524: error: undefined reference to 'g_type_check_class_cast'
/usr/bin/ld: connection.o: in function haze_connection_set_property:connection.c:472: error: undefined reference to 'g_type_name'
/usr/bin/ld: connection.o: in function haze_connection_set_property:connection.c:472: error: undefined reference to 'g_type_name'
/usr/bin/ld: connection.o: in function haze_connection_set_property:connection.c:465: error: undefined reference to 'g_value_get_pointer'
/usr/bin/ld: connection.o: in function haze_connection_set_property:connection.c:469: error: undefined reference to 'g_value_get_pointer'
/usr/bin/ld: connection.o: in function haze_connection_get_property:connection.c:449: error: undefined reference to 'g_type_name'
/usr/bin/ld: connection.o: in function haze_connection_get_property:connection.c:449: error: undefined reference to 'g_type_name'
/usr/bin/ld: connection.o: in function haze_connection_init:connection.c:617: error: undefined reference to 'g_type_instance_get_private'
/usr/bin/ld: connection.o: in function haze_connection_get_property:connection.c:446: error: undefined reference to 'g_value_set_pointer'
/usr/bin/ld: contact-list.o: in function haze_contact_list_get_channel:contact-list.c:302: error: undefined reference to 'g_signal_connect_data'
/usr/bin/ld: contact-list.o: in function haze_contact_list_get_type:contact-list.c:46: error: undefined reference to 'g_type_register_static_simple'
/usr/bin/ld: contact-list.o: in function contact_list_channel_closed_cb:contact-list.c:240: error: undefined reference to 'g_object_get'
/usr/bin/ld: contact-list.o: in function haze_contact_list_foreach_channel_class:contact-list.c:371: error: undefined reference to 'g_value_set_static_string'
/usr/bin/ld: contact-list.o: in function haze_contact_list_foreach_channel_class:contact-list.c:378: error: undefined reference to 'g_value_set_uint'
/usr/bin/ld: contact-list.o: in function haze_contact_list_foreach_channel_class:contact-list.c:381: error: undefined reference to 'g_value_set_uint'
/usr/bin/ld: contact-list.o: in function haze_contact_list_constructor:contact-list.c:123: error: undefined reference to 'g_signal_connect_data'
/usr/bin/ld: contact-list.o: in function haze_contact_list_class_intern_init:contact-list.c:50: error: undefined reference to 'g_type_class_peek_parent'
/usr/bin/ld: contact-list.o: in function haze_contact_list_class_intern_init:contact-list.c:208: error: undefined reference to 'g_param_spec_object'
/usr/bin/ld: contact-list.o: in function haze_contact_list_class_intern_init:contact-list.c:216: error: undefined reference to 'g_object_class_install_property'
/usr/bin/ld: contact-list.o: in function haze_contact_list_class_intern_init:contact-list.c:218: error: undefined reference to 'g_type_class_add_private'
/usr/bin/ld: contact-list.o: in function haze_contact_list_set_property:contact-list.c:184: error: undefined reference to 'g_value_get_object'
/usr/bin/ld: contact-list.o: in function haze_contact_list_close_all:contact-list.c:468: error: undefined reference to 'g_signal_handler_disconnect'
/usr/bin/ld: contact-list.o: in function haze_contact_list_init:contact-list.c:63: error: undefined reference to 'g_type_instance_get_private'
/usr/bin/ld: contact-list.o: in function haze_contact_list_init:contact-list.c:68: error: undefined reference to 'g_object_unref'
/usr/bin/ld: contact-list.o: in function haze_contact_list_init:contact-list.c:70: error: undefined reference to 'g_object_unref'
/usr/bin/ld: contact-list.o: in function haze_contact_list_get_property:contact-list.c:165: error: undefined reference to 'g_value_set_object'
/usr/bin/ld: contact-list-channel.o: in function haze_close_account_request:contact-list-channel.c:461: error: undefined reference to 'g_object_ref'
/usr/bin/ld: contact-list-channel.o: in function haze_request_authorize:contact-list-channel.c:430: error: undefined reference to 'g_object_ref'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_type:contact-list-channel.c:93: error: undefined reference to 'g_type_register_static_simple'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_handle:contact-list-channel.c:880: error: undefined reference to 'g_type_check_instance_is_a'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_close:contact-list-channel.c:837: error: undefined reference to 'g_type_check_instance_is_a'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:103: error: undefined reference to 'g_type_class_peek_parent'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:751: error: undefined reference to 'g_type_class_add_private'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:763: error: undefined reference to 'g_param_spec_object'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:767: error: undefined reference to 'g_object_class_install_property'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:769: error: undefined reference to 'g_strv_get_type'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:769: error: undefined reference to 'g_param_spec_boxed'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:775: error: undefined reference to 'g_param_spec_string'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:781: error: undefined reference to 'g_param_spec_uint'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:788: error: undefined reference to 'g_param_spec_string'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:795: error: undefined reference to 'g_param_spec_boolean'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:801: error: undefined reference to 'g_object_class_override_property'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:803: error: undefined reference to 'g_object_class_override_property'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:805: error: undefined reference to 'g_object_class_override_property'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_class_intern_init:contact-list-channel.c:807: error: undefined reference to 'g_object_class_override_property'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_set_property:contact-list-channel.c:713: error: undefined reference to 'g_value_get_uint'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_set_property:contact-list-channel.c:716: error: undefined reference to 'g_value_get_object'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_set_property:contact-list-channel.c:702: error: undefined reference to 'g_value_dup_string'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_set_property:contact-list-channel.c:710: error: undefined reference to 'g_value_get_uint'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_constructor:contact-list-channel.c:521: error: undefined reference to 'dbus_g_connection_register_g_object'
/usr/bin/ld: contact-list-channel.o: in function publish_request_data_free:contact-list-channel.c:59: error: undefined reference to 'g_object_unref'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_init:contact-list-channel.c:488: error: undefined reference to 'g_type_instance_get_private'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_property:contact-list-channel.c:669: error: undefined reference to 'g_value_set_boolean'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_property:contact-list-channel.c:663: error: undefined reference to 'g_value_set_object'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_property:contact-list-channel.c:650: error: undefined reference to 'g_value_set_string'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_property:contact-list-channel.c:657: error: undefined reference to 'g_value_set_static_string'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_property:contact-list-channel.c:643: error: undefined reference to 'g_value_set_uint'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_property:contact-list-channel.c:666: error: undefined reference to 'g_value_set_boxed'
/usr/bin/ld: contact-list-channel.o: in function haze_contact_list_channel_get_property:contact-list-channel.c:672: error: undefined reference to 'g_value_take_boxed'
/usr/bin/ld: im-channel.o: in function haze_im_channel_destroy:im-channel.c:204: error: undefined reference to 'g_type_check_instance_is_a'
/usr/bin/ld: im-channel.o: in function haze_im_channel_class_intern_init:im-channel.c:659: error: undefined reference to 'g_type_class_add_private'
/usr/bin/ld: im-channel.o: in function haze_im_channel_class_intern_init:im-channel.c:679: error: undefined reference to 'g_param_spec_object'
/usr/bin/ld: im-channel.o: in function haze_im_channel_class_intern_init:im-channel.c:685: error: undefined reference to 'g_strv_get_type'
/usr/bin/ld: im-channel.o: in function haze_im_channel_class_intern_init:im-channel.c:685: error: undefined reference to 'g_param_spec_boxed'
/usr/bin/ld: im-channel.o: in function haze_im_channel_class_intern_init:im-channel.c:691: error: undefined reference to 'g_param_spec_string'
/usr/bin/ld: im-channel.o: in function haze_im_channel_class_intern_init:im-channel.c:697: error: undefined reference to 'g_param_spec_boolean'
/usr/bin/ld: im-channel.o: in function haze_im_channel_class_intern_init:im-channel.c:703: error: undefined reference to 'g_param_spec_uint'
/usr/bin/ld: im-channel.o: in function haze_im_channel_class_intern_init:im-channel.c:710: error: undefined reference to 'g_param_spec_string'
/usr/bin/ld: im-channel.o: in function haze_im_channel_constructor:im-channel.c:588: error: undefined reference to 'dbus_g_connection_register_g_object'
/usr/bin/ld: im-channel.o: in function haze_im_channel_set_property:im-channel.c:530: error: undefined reference to 'g_value_get_uint'
/usr/bin/ld: im-channel.o: in function haze_im_channel_set_property:im-channel.c:539: error: undefined reference to 'g_value_get_object'
/usr/bin/ld: im-channel.o: in function haze_im_channel_set_property:im-channel.c:520: error: undefined reference to 'g_value_dup_string'
/usr/bin/ld: im-channel.o: in function haze_im_channel_set_property:im-channel.c:526: error: undefined reference to 'g_value_get_uint'
/usr/bin/ld: im-channel.o: in function haze_im_channel_init:im-channel.c:732: error: undefined reference to 'g_type_instance_get_private'
/usr/bin/ld: im-channel.o: in function haze_im_channel_get_property:im-channel.c:487: error: undefined reference to 'g_value_set_boolean'
/usr/bin/ld: im-channel.o: in function haze_im_channel_get_property:im-channel.c:481: error: undefined reference to 'g_value_set_object'
/usr/bin/ld: im-channel.o: in function haze_im_channel_get_property:im-channel.c:449: error: undefined reference to 'g_value_set_static_string'
/usr/bin/ld: im-channel.o: in function haze_im_channel_get_property:im-channel.c:455: error: undefined reference to 'g_value_set_uint'
/usr/bin/ld: im-channel.o: in function haze_im_channel_get_property:im-channel.c:484: error: undefined reference to 'g_value_set_boxed'
/usr/bin/ld: im-channel.o: in function haze_im_channel_get_property:im-channel.c:490: error: undefined reference to 'g_value_take_boxed'
/usr/bin/ld: im-channel-factory.o: in function get_im_channel:im-channel-factory.c:276: error: undefined reference to 'g_type_check_instance_is_a'
/usr/bin/ld: im-channel-factory.o: in function get_im_channel:im-channel-factory.c:294: error: undefined reference to 'g_signal_connect_data'
/usr/bin/ld: im-channel-factory.o: in function im_channel_closed_cb:im-channel-factory.c:244: error: undefined reference to 'g_object_get'
/usr/bin/ld: im-channel-factory.o: in function haze_im_channel_factory_constructed:im-channel-factory.c:199: error: undefined reference to 'g_signal_connect_data'
/usr/bin/ld: im-channel-factory.o: in function haze_im_channel_factory_foreach_channel_class:im-channel-factory.c:540: error: undefined reference to 'g_value_set_static_string'
/usr/bin/ld: im-channel-factory.o: in function haze_im_channel_factory_class_intern_init:im-channel-factory.c:215: error: undefined reference to 'g_param_spec_object'
/usr/bin/ld: im-channel-factory.o: in function haze_im_channel_factory_set_property:im-channel-factory.c:169: error: undefined reference to 'g_value_get_object'
/usr/bin/ld: im-channel-factory.o: in function close_all:im-channel-factory.c:351: error: undefined reference to 'g_signal_handler_disconnect'
/usr/bin/ld: im-channel-factory.o: in function haze_im_channel_factory_get_property:im-channel-factory.c:151: error: undefined reference to 'g_value_set_object'
collect2: ld returned 1 exit status
make[3]: *** [telepathy-haze] Error 1




Set Bug forwarded-to-address to 'http://bugs.freedesktop.org/show_bug.cgi?id=25124'. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Mon, 16 Nov 2009 14:12:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonny Lamb <jonny@debian.org> to control@bugs.debian.org. (Fri, 19 Feb 2010 15:21:02 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Jonny Lamb <jonny@debian.org> to control@bugs.debian.org. (Fri, 19 Feb 2010 15:21:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Jonny Lamb <jonny@debian.org> to control@bugs.debian.org. (Fri, 19 Feb 2010 15:21:07 GMT) Full text and rfc822 format available.

Reply sent to Jonny Lamb <jonny@debian.org>:
You have taken responsibility. (Fri, 05 Mar 2010 12:24:12 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Fri, 05 Mar 2010 12:24:12 GMT) Full text and rfc822 format available.

Message #18 received at 556487-close@bugs.debian.org (full text, mbox):

From: Jonny Lamb <jonny@debian.org>
To: 556487-close@bugs.debian.org
Subject: Bug#556487: fixed in telepathy-haze 0.3.4-1
Date: Fri, 05 Mar 2010 12:22:07 +0000
Source: telepathy-haze
Source-Version: 0.3.4-1

We believe that the bug you reported is fixed in the latest version of
telepathy-haze, which is due to be installed in the Debian FTP archive:

telepathy-haze_0.3.4-1.diff.gz
  to main/t/telepathy-haze/telepathy-haze_0.3.4-1.diff.gz
telepathy-haze_0.3.4-1.dsc
  to main/t/telepathy-haze/telepathy-haze_0.3.4-1.dsc
telepathy-haze_0.3.4-1_i386.deb
  to main/t/telepathy-haze/telepathy-haze_0.3.4-1_i386.deb
telepathy-haze_0.3.4.orig.tar.gz
  to main/t/telepathy-haze/telepathy-haze_0.3.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556487@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonny Lamb <jonny@debian.org> (supplier of updated telepathy-haze package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 05 Mar 2010 12:09:21 +0000
Source: telepathy-haze
Binary: telepathy-haze
Architecture: source i386
Version: 0.3.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Changed-By: Jonny Lamb <jonny@debian.org>
Description: 
 telepathy-haze - A telepathy connection manager that use libpurple
Closes: 556487
Changes: 
 telepathy-haze (0.3.4-1) unstable; urgency=low
 .
   * New upstream release.
     + Links against libraries it uses. (Closes: #556487)
   * debian/control: Add xsltproc build-dep.
Checksums-Sha1: 
 a6637b85c09a4434126361a37777b262c3249525 1447 telepathy-haze_0.3.4-1.dsc
 7fe23e8b319f6a1c887b380327543ae601486db3 447961 telepathy-haze_0.3.4.orig.tar.gz
 35125544885620739d1bdfc610059cbbdca666ca 4336 telepathy-haze_0.3.4-1.diff.gz
 9d60549eaa94f5cdbc2fe60397edd8893c2a8a97 45652 telepathy-haze_0.3.4-1_i386.deb
Checksums-Sha256: 
 6aff675bede7edb352a708d5b4a4355893d7c1550d2613f5efca2d5cd4c060f3 1447 telepathy-haze_0.3.4-1.dsc
 e2d44e561e2a740152e88f1fab786459c15466fff5199edbcd5fd2075a7423e0 447961 telepathy-haze_0.3.4.orig.tar.gz
 47f7a54487bee0492e615e41e748279cbec24fb3da9c0c2e82ba9e3047dbd458 4336 telepathy-haze_0.3.4-1.diff.gz
 d06b8352a5fbed91dc2400c8f5dd8239bada7e9bfcf27142dac8c7cc3f49c1df 45652 telepathy-haze_0.3.4-1_i386.deb
Files: 
 ccd1845c5e8079c486c319d72c5e226b 1447 net optional telepathy-haze_0.3.4-1.dsc
 100b022f14165c2097f530139a02693b 447961 net optional telepathy-haze_0.3.4.orig.tar.gz
 6eb59b4e8174733ee66ecd087c5e869f 4336 net optional telepathy-haze_0.3.4-1.diff.gz
 9130d1121088965db0395a1f6317cb64 45652 net optional telepathy-haze_0.3.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuQ9c4ACgkQwYr7ny4DlAJP+wCfZD1Nuvai/04/xyDHdPNLwD2A
SzUAnRbYvkz4sWow/a8zLB+eW/8AV8o2
=3ejE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Jun 2010 07:39:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:54:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.